%define pkg_name        Parse-Yapp
%define pkg_version     1.05
%define rpm_pkg_version 1.05
%define rpm_pkg_release 46.n0i.7

Summary:       Perl extension for generating and using LALR parsers
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/F/FD/FDESAR/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::Harness)}


%description
Parse::Yapp (Yet Another Perl Parser compiler) is a collection of modules
that let you generate and use yacc like thread safe (reentrant) parsers
with perl object oriented interface.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{__perl} -pi -e "s{ (?<=\.)3(?=\') }{\\\$(MAN3EXT)}xs" Makefile.PL

%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.05-46.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.05-45.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Mar 31 2005 Marius Feraru <altblue@n0i.net> 0:1.05-44.n0i.5
- rebuild (FC4)

* Mon Jan 03 2005 Marius FERARU <altblue@n0i.net> 0:1.05-43.n0i.4
- chmod files

* Tue Nov 30 2004 Marius FERARU <altblue@n0i.net> 0:1.05-42.n0i.3
- rebuild (perl 5.8.6)

* Thu May 06 2004 Marius Feraru <altblue@n0i.net> 0:1.05-41.n0i.2
- version 1.05
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:1.05-0.n0i.1
- version 1.05
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
